
//** Necessary JAVA Classes
import java.awt.*;
import java.applet.*;
import java.util.*;
import java.net.*;

public class 
CylinderUI extends Frame 
{  
   Example4 boss;

   private boolean                     DEBUG             = true;

   private Label         radius, height, bottom, top, side, DragLabel;

   private TextField     radiusTF;
   private TextField     heightTF;

   private Choice        bottomC;   
   private Choice        topC;
   private Choice        sideC;

   private float Cheight = 1f;
   private float Cradius = 1f;

   private boolean Cbottom = true;
   private boolean Ctop    = true;
   private boolean Cside   = true;

   private boolean Dragging = true;
   private Choice  DragMode ;
         

   /** 
   * User Interface 
   */
   public 
   CylinderUI(Example4 _boss)
   { 
      boss = _boss;
      radius = new Label("radius");
      radiusTF = new TextField(4);

      height = new Label("height");
      heightTF = new TextField(4);

      bottom = new Label("bottom");
      bottomC = new Choice();
      bottomC.addItem("true");
      bottomC.addItem("false");
      
      top    = new Label("top");
      topC = new Choice();
      topC.addItem("true");
      topC.addItem("false");
      
      side   = new Label("side");
      sideC = new Choice();
      sideC.addItem("true");
      sideC.addItem("false");
      
      DragLabel   = new Label("Dragging");
      DragMode = new Choice();
      DragMode.addItem("Move");
      DragMode.addItem("Rotate");
     
      setLayout(new GridLayout(0,2));

      Panel Labels = new Panel();
      Labels.setLayout(new GridLayout(7,0));

      Labels.add(radius);
      Labels.add(height);
      Labels.add(bottom);
      Labels.add(top);
      Labels.add(side);
      Labels.add(DragLabel);

      Panel entries = new Panel();
      entries.setLayout(new GridLayout(7,0));

      Panel p11 = new Panel();
      p11.add(radiusTF);
      entries.add(p11);
      
      Panel p12 = new Panel();
      p12.add(heightTF);
      entries.add(p12);
      
      Panel p13 = new Panel();
      p13.add(bottomC);
      entries.add(p13);
     
      Panel p14 = new Panel();
      p14.add(topC);
      entries.add(p14);
   
      Panel p15 = new Panel();
      p15.add(sideC);
      entries.add(p15);

      Panel p16 = new Panel();
      p16.add(DragMode);
      entries.add(p16);

      Button submit = new Button("Submit");
      Panel p17 = new Panel();
      p17.add(submit);
      entries.add(p17);

      add(Labels);
      add(entries);

      resize(150,300);

      System.out.println(" End of Init() ");
      show();

   }// end of Constructor

   /**
   *
   */
   public boolean 
   action(Event event, Object what)
   {
      if (event.target instanceof Button)
      {
        Button b = (Button) event.target;

        if (b.getLabel() == "Submit") 
        {
          String heightStr = heightTF.getText();
          String radiusStr = radiusTF.getText();

          if(heightStr.length()>0) 
               Cheight = Float.valueOf(heightStr).floatValue();
          else Cheight = 1f;

          if(radiusStr.length()>0) 
               Cradius = Float.valueOf(radiusStr).floatValue();
          else Cradius = 1f;

          Cbottom = (bottomC.getSelectedIndex()==0?true:false);
          Ctop    = (topC.getSelectedIndex()==0?true:false);
          Cside   = (sideC.getSelectedIndex()==0?true:false);
          Dragging = (DragMode.getSelectedIndex()==0?true:false);

          boss.updateShape(Cheight,Cradius,Cbottom,Ctop,Cside,Dragging);

        }// end of if
       
      }// end of if

      return true;

  }// end of action()
    
}// end of class ConeExam

